/// <reference types="react" />
import { ReactNode } from "react";
import ArenaActionTypes from "redux-arena/ActionTypes";
import ActionTypes from "./ActionTypes";
import Phases from "./Phases";
import { State, PlayEntity, Actions } from "./types";
import PlayStrategies from "./PlayStrategies";
export declare function setState(state: State): {
    type: ArenaActionTypes;
    state: State;
};
export declare function nextPhase(phase: Phases, oldPlayKey: string, oldPlay: PlayEntity): {
    type: ActionTypes;
    phase: Phases;
    oldPlayKey: string;
    oldPlay: PlayEntity;
};
export declare function addPlay(node: ReactNode): {
    type: ActionTypes;
    entity: {
        node: ReactNode;
    };
};
export declare function removePlay(node: ReactNode): {
    type: ActionTypes;
    node: ReactNode;
};
export declare function updatePlay(oldNode: ReactNode, newNode: ReactNode): {
    type: ActionTypes;
    oldNode: ReactNode;
    newNode: ReactNode;
};
export declare function playNext(PlayStrategies?: PlayStrategies): {
    type: ActionTypes;
    PlayStrategies: PlayStrategies | undefined;
};
declare const _default: Actions;
export default _default;
