/// <reference types="react" />
import { ComponentType, StatelessComponent } from "react";
import { AnimationProps } from "../types";
export default function connectComponent<P extends AnimationProps>(Component: ComponentType<P>): StatelessComponent<Pick<P, ({
    [P in keyof P]: P;
} & {
    onMount: never;
    onUnmount: never;
    onUpdate: never;
    isRenderDisabled: never;
} & {
    [x: string]: never;
})[keyof P]>>;
