Object.defineProperty(exports, "__esModule", { value: true });
var ActionTypes_1 = require("redux-arena/ActionTypes");
var ActionTypes_2 = require("./ActionTypes");
function setState(state) {
    return {
        type: ActionTypes_1.default.ARENA_SCENE_SET_STATE,
        state: state
    };
}
exports.setState = setState;
function nextPhase(phase, oldPlayKey, oldPlay) {
    return {
        type: ActionTypes_2.default.ARENA_SWITCH_ANIMATION_NEXTPHRASE,
        phase: phase,
        oldPlayKey: oldPlayKey,
        oldPlay: oldPlay
    };
}
exports.nextPhase = nextPhase;
function addPlay(node) {
    return {
        type: ActionTypes_2.default.ARENA_SWITCH_ANIMATION_PLAY_ADD,
        entity: {
            node: node
        }
    };
}
exports.addPlay = addPlay;
function removePlay(node) {
    return {
        type: ActionTypes_2.default.ARENA_SWITCH_ANIMATION_PLAY_REMOVE,
        node: node
    };
}
exports.removePlay = removePlay;
function updatePlay(oldNode, newNode) {
    return {
        type: ActionTypes_2.default.ARENA_SWITCH_ANIMATION_PLAY_UPDATE,
        oldNode: oldNode,
        newNode: newNode
    };
}
exports.updatePlay = updatePlay;
function playNext(PlayStrategies) {
    return {
        type: ActionTypes_2.default.ARENA_SWITCH_ANIMATION_PLAY_NEXT,
        PlayStrategies: PlayStrategies
    };
}
exports.playNext = playNext;
exports.default = {
    setState: setState,
    nextPhase: nextPhase,
    addPlay: addPlay,
    removePlay: removePlay,
    playNext: playNext,
    updatePlay: updatePlay
};
